aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJan-Simon Möller <jsmoeller@linuxfoundation.org>2019-12-02 18:15:36 +0100
committerJan-Simon Möller <jsmoeller@linuxfoundation.org>2019-12-02 18:15:36 +0100
commit290342c6257965cdabbdc71ba9fcd02262fd21de (patch)
tree998f20a63352b2e97b31fa29e42b1943568ca304
parenta06d344c5e57654871e3fa3b5f9a479f2bd20c3e (diff)
Add jenkins jobs for deploying the icefish release
Change-Id: I62019d12fbc5fe1f6e9ce011e16af5b491e2e7c0 Signed-off-by: Jan-Simon Möller <jsmoeller@linuxfoundation.org>
-rw-r--r--jjb/release-jjb-icefish-release/include-release-jjb-release-move-sandbox.sh27
-rw-r--r--jjb/release-jjb-icefish-release/release-jjb-release.yaml52
-rw-r--r--jjb/release-jjb-icefish-sources/include-release-jjb-release-sources-rsync.sh39
-rw-r--r--jjb/release-jjb-icefish-sources/release-jjb-sources.yaml40
4 files changed, 158 insertions, 0 deletions
diff --git a/jjb/release-jjb-icefish-release/include-release-jjb-release-move-sandbox.sh b/jjb/release-jjb-icefish-release/include-release-jjb-release-move-sandbox.sh
new file mode 100644
index 00000000..2f85a3ea
--- /dev/null
+++ b/jjb/release-jjb-icefish-release/include-release-jjb-release-move-sandbox.sh
@@ -0,0 +1,27 @@
+#!/bin/bash
+
+#set -x
+set -e
+
+if test x"" = x"${RELEASE_BRANCH}"; then
+ echo "RELEASE_BRANCH invalid"
+ exit 1
+fi
+
+if test x"" = x"${RELEASE_VERSION}"; then
+ echo "RELEASE_VERSION invalid"
+ exit 1
+fi
+
+
+export REMOTESRC="/srv/download/AGL/upload/ci/${RELEASE_BRANCH}/${RELEASE_VERSION}/"
+export REMOTEDST="/srv/download/AGL/release/${RELEASE_BRANCH}/${RELEASE_VERSION}/"
+
+if test x"yes" = x"$UPLOAD" ; then
+ ssh -o StrictHostKeyChecking=no jenkins-slave@10.30.72.8 mkdir -p ${REMOTEDST}
+ ssh -o StrictHostKeyChecking=no jenkins-slave@10.30.72.8 mv ${REMOTESRC}/* ${REMOTEDST}/
+ ssh -o StrictHostKeyChecking=no jenkins-slave@10.30.72.8 rm -r ${REMOTESRC}
+ ssh -o StrictHostKeyChecking=no jenkins-slave@10.30.72.8 sh -c "cd /srv/download/AGL/release/${RELEASE_BRANCH}/ ; rm latest ; ln -sf ${RELEASE_VERSION} latest ; echo ${RELEASE_VERSION} > latest.txt"
+fi
+
+exit 0 \ No newline at end of file
diff --git a/jjb/release-jjb-icefish-release/release-jjb-release.yaml b/jjb/release-jjb-icefish-release/release-jjb-release.yaml
new file mode 100644
index 00000000..e2355fe2
--- /dev/null
+++ b/jjb/release-jjb-icefish-release/release-jjb-release.yaml
@@ -0,0 +1,52 @@
+---
+- project:
+ name: release-jjb-icefish-release-from-snapshot
+ jobs:
+ - release-jjb-icefish-release-from-snapshot
+
+- job-template:
+ name: 'release-jjb-icefish-release-from-snapshot'
+ project-type: freestyle
+ concurrent: false
+ node: control-slave
+
+ parameters:
+ - string:
+ name: GERRIT_PROJECT
+ default: AGL/AGL-repo
+ description: "Project to build"
+ - string:
+ name: GERRIT_BRANCH
+ default: master
+ description: "branch to build"
+ - string:
+ name: GERRIT_REFSPEC
+ default: refs/tags/icefish_8.99.1
+ description: "refspec to build"
+ - string:
+ name: RELEASE_VERSION
+ default: 8.99.1
+ description: "release version number for build"
+ - string:
+ name: RELEASE_BRANCH
+ default: icefish
+ description: "release branch to build"
+ - string:
+ name: UPLOAD
+ default: yes_or_no
+ description: "Upload?"
+
+ build-discarder:
+ days-to-keep: 30
+ num-to-keep: 40
+ artifact-days-to-keep: -1
+ artifact-num-to-keep: 5
+
+ wrappers:
+ - agl-infra-wrappers:
+ build-timeout: '{build-timeout}'
+
+ builders:
+ - shell:
+ !include-raw-escape:
+ - include-release-jjb-release-move-sandbox.sh
diff --git a/jjb/release-jjb-icefish-sources/include-release-jjb-release-sources-rsync.sh b/jjb/release-jjb-icefish-sources/include-release-jjb-release-sources-rsync.sh
new file mode 100644
index 00000000..e458a17d
--- /dev/null
+++ b/jjb/release-jjb-icefish-sources/include-release-jjb-release-sources-rsync.sh
@@ -0,0 +1,39 @@
+#!/bin/bash
+
+#set -x
+set -e
+#export RSYNCDST="jenkins-slave@10.30.72.8:/srv/download/AGL/release/${RELEASE_BRANCH}/${RELEASE_VERSION}/"
+#export RSYNCSRC=$(pwd)/UPLOAD/
+
+# construct upload folder
+
+
+BRANCH=${RELEASE_BRANCH}
+RELVER=${RELEASE_VERSION}
+
+rm -rf release-upload || true
+
+git clone -b ${RELEASE_BRANCH} https://gerrit.automotivelinux.org/gerrit/p/staging/release-upload.git
+cd release-upload
+
+gpg --keyserver pool.sks-keyservers.net --recv D6DD2170
+
+ls | grep -q agl-${RELEASE_BRANCH}-${RELEASE_VERSION}.tar.bz2
+
+( gpg --verify agl-${RELEASE_BRANCH}-${RELEASE_VERSION}.tar.bz2.sig agl-${RELEASE_BRANCH}-${RELEASE_VERSION}.tar.bz2 2>&1 | grep -e "Good signature.*Jan-Simon.*Moeller.*AGL.*Release" -q && echo "gpg key verification succeeded" ) || ( echo "gpg key verification failed" && exit 1 )
+
+rm -rf ../UPLOAD || true
+mkdir -p ../UPLOAD/
+
+cp -ar agl-${RELEASE_BRANCH}-${RELEASE_VERSION}.* ../UPLOAD/
+
+export RSYNCSRC=$(pwd)/../UPLOAD
+export RSYNCDST="/srv/download/AGL/release/${RELEASE_BRANCH}/"
+
+if test x"yes" = x"${UPLOAD}" ; then
+ set +x
+ ssh -o StrictHostKeyChecking=no jenkins-slave@10.30.72.8 "mkdir -p ${RSYNCDST}"
+ rsync -avr -e "ssh -o StrictHostKeyChecking=no" ${RSYNCSRC}/* jenkins-slave@10.30.72.8:${RSYNCDST}
+ ssh -o StrictHostKeyChecking=no jenkins-slave@10.30.72.8 "rm -rf ${RSYNCDST}/latest"
+ ssh -o StrictHostKeyChecking=no jenkins-slave@10.30.72.8 "ln -sf ${RELEASE_VERSION} ${RSYNCDST}/latest"
+fi \ No newline at end of file
diff --git a/jjb/release-jjb-icefish-sources/release-jjb-sources.yaml b/jjb/release-jjb-icefish-sources/release-jjb-sources.yaml
new file mode 100644
index 00000000..d0ee0879
--- /dev/null
+++ b/jjb/release-jjb-icefish-sources/release-jjb-sources.yaml
@@ -0,0 +1,40 @@
+---
+- project:
+ name: release-jjb-icefish-sources
+ jobs:
+ - release-jjb-icefish-sources
+
+- job-template:
+ name: 'release-jjb-icefish-sources'
+ project-type: freestyle
+ concurrent: false
+ node: agl-test-slave
+
+ parameters:
+ - string:
+ name: RELEASE_VERSION
+ default: 8.99.1
+ description: "release version number for build"
+ - string:
+ name: RELEASE_BRANCH
+ default: icefish
+ description: "release branch to build"
+ - string:
+ name: UPLOAD
+ default: yes_or_no
+ description: "Upload?"
+
+ build-discarder:
+ days-to-keep: 30
+ num-to-keep: 40
+ artifact-days-to-keep: -1
+ artifact-num-to-keep: 5
+
+ wrappers:
+ - agl-infra-wrappers:
+ build-timeout: '{build-timeout}'
+
+ builders:
+ - shell:
+ !include-raw-escape:
+ - include-release-jjb-release-sources-rsync.sh